For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList registration requests
        • POSTCreate a registration request
        • GETRetrieve a registration request
        • DELDelete a registration request
        • GETFetch guest dashboard link for a registration request
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementRegistration Requests

List registration requests

GET
https://api.middesk.com/v1/partner/registration_requests
GET
/v1/partner/registration_requests
$curl https://api.middesk.com/v1/partner/registration_requests \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "registration_request",
6 "id": "id",
7 "state": "AL",
8 "status": "status",
9 "tax_registration_types": [
10 "tax_registration_types"
11 ],
12 "company_id": "company_id",
13 "created_at": "created_at",
14 "agencies": [
15 {
16 "key": "value"
17 }
18 ],
19 "items": [
20 {
21 "key": "value"
22 }
23 ],
24 "invite_link": "invite_link",
25 "external_id": "external_id",
26 "submitted_at": "submitted_at",
27 "tax_registration": {
28 "key": "value"
29 }
30 }
31 ],
32 "url": "url"
33}
Was this page helpful?
Previous

Create a registration request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptional
Page number
per_pageintegerOptional
Items per page

Response

registration requests list
objectstring
datalist of objects
urlstring